<template>
  <div class="LatestRestaurantsComponent">
    <div class="title mt-4 mx-3 ">
       <h6><b>Commander à nouveau</b></h6>
       <p style="font-size: 12px;">Retrouvez les derniers restaurants dans lesquels vous avez commandé</p>
    </div>


    <div class="row">
      <div class="col-6" v-for="restaurant in restaurants" :key="restaurant.id">
        <b-card
          img-src="https://picsum.photos/600/300/?image=25"
          style="max-width: 12rem;"
          class="mx-2"
        >
          <b-card-text class="restaurant-card">

            <h6>{{ restaurant.name }}</h6>
            {{ restaurant.stars }} stars <br>
            à {{ restaurant.distance }} km - {{ restaurant.livraison }}€ de livraison

          </b-card-text>
        </b-card>
      </div>
    </div>

    
  
  </div>
</template>

<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'LatestRestaurantsComponent',
  props: {

  },

  data: () => ({
    restaurants: [
        {
          id: 0,
          name: "Restaurant 1",
          image: "",
          stars: 4.3,
          distance: 5.3,
          description: "",
          livraison: 2.00
        },
        {
          id: 1,
          name: "Restaurant 2",
          image: "",
          stars: 3.3,
          distance: 2.3,
          description: "",
          livraison: 2.00
        },
       /* {
          id: 2,
          name: "Restaurant 3",
          image: "",
          stars: 3.3,
          distance: 2.3,
          description: "",
          livraison: 2.00
        }*/
      ]
   })

  

});
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.restaurant-card{
  font-size: 12px;
}
</style>
